➜ ~ python3
Python 3.6.1 (v3.6.1:69c0db5050, Mar 21 2017, 01:21:04)
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type “help”, “copyright”, “credits” or “license” for more information.
>>> from selenium import webdriver
>>> browser = webdriver.Firefox()
Traceback (most recent call last):
File “/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/selenium/webdriver/common/service.py”, line 74, in start
stdout=self.log_file, stderr=self.log_file)
File “/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/subprocess.py”, line 707, in __init__
restore_signals, start_new_session)
File “/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/subprocess.py”, line 1326, in _execute_child
raise child_exception_type(errno_num, err_msg)
FileNotFoundError: [Errno 2] No such file or directory: ‘geckodriver’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “<stdin>”, line 1, in <module>
File “/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/selenium/webdriver/firefox/webdriver.py”, line 142, in __init__
self.service.start()
File “/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/selenium/webdriver/common/service.py”, line 81, in start
os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: ‘geckodriver’ executable needs to be in PATH.

>>>

To fix download the “geckodriver” file:
https://github.com/mozilla/geckodriver/releases/tag/v0.17.0

Move it to your /usr/local/bin drive.

Rerun the command:

➜ ~ python3
>>> browser = webdriver.Firefox()
>>>

 

The browser is opened:
Screen Shot 2017-07-02 at 20.23.09

>>>type(browser)
<class ‘selenium.webdriver.firefox.webdriver.WebDriver’>

>>>browser.get(‘http://google.com&#8217;)

 

Advertisements